Subject: Make check fails on FreeBSD 11.0

From: [email-masked]
Date: Sun, 01 Jan 2017 11:47:28 -0800

Hello, 
FreeBSD packages Guile 1.8 so I am performing a source build of Guile
2.0.9. I was able to configure it to get guile to compile, but the
following tests fail when I run make check:
test-system-cmdstest-fast-slot-reftest-use-srfitest-with-guile-moduletest-scm-spawn-threadtest-pthread-create
I'm still looking at what might've gone wrong. These are the commands
I entered (after installing libunistring and boehm-gc-threaded):
./configure LIBS='-lgc-threaded' LDFLAGS=-L/usr/local/lib
--prefix=/usr/localmakemake check
I tried adding '-lpthread', but it did not make any difference. I have
attached the output of all three of those commands to this email.
Thanks,saffronsnail